Subject: Re: bug#66560: [DOCUMENTATION] doc: Include steps for mounting EFI partitions.

From: Christina O'Donnell <[email-masked]>
Date: Wed, 1 Nov 2023 09:51:22 +0000

Hi Maxim,

Thank you for your time and comments.

 > If you look at the latest manual, this should not be empty since mount
 > --rbind is used (the 'r' in the name is for recursive) for the whole
 > /sys directory:
 >
 >           mount --rbind /proc /mnt/proc
 >           mount --rbind /sys /mnt/sys
 >           mount --rbind /dev /mnt/dev

Yes! I see the latest one uses --rbind while the 1.4.0 manual that I
was following uses --bind. I didn't see the change, but that should be
sufficient.

 >> +@item
 >> +If the directory @file{/sys/firmware/efi/efivars} is empty, you need to
 >> +boot the rescue system including the kernel option "efi=runtime" and
 >> +mount the EFI variables before proceeding:
 >> +
 >> +@example sh
 >> +mount -t efivarfs none /sys/firmware/efi/efivars
 >> +@end example
 >
 > Maybe the only information missing here is the "if empty, run with
 > "efi=runtime" bit?  Also note that the latest version of the manually
 > mentions using Guix System rather than another live rescue image, so
 > perhaps it just wouldn't happen then?  It seems we assume that
 > /sys/firmware/efi exists for UEFI systems in the documentation
 > elswehere, without having to mention that "efi=runtime" bit, so I'm
 > inclined to think it's not necessary for Guix System.

I don't think "efi=runtime" is necessary (and I couldn't it in the
kernel documentation).I did run into this problem on the Guix System
installer. I think now that my problem must have been caused by using
'--bind' (without the "r"). Since the installer uses an UEFI
bootloader, I doubt any further steps are needed as you say.

 >> +@item
 >> +If your bootloader installation failed, you may need to bind
 >> +@file{efivars} between the two systems.
 >> +
 >> +@example sh
 >> +mount --bind /sys/firmware/efi/efivars /mnt/sys/firmware/efi/efivars
 >> +@end example
 >
 > This should be covered by the --rbind, asusming the host contains
 > /sys/firmware/efi/efivars.
 >
 > So I think we don't need to change anything to the manual. If the
 > "efi=runtime" advice is truly useful even on Guix System, we could
 > mention it like so:
 >

I agree. I'm happy for this patch/issue to be closed. Thank you for
reviewing this!

Kind regards,
  - Christina